com.collabnet.ce.soap60.webservices.rbac

## Class RoleClusterSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.rbac.RoleClusterSoapRow

-     public class RoleClusterSoapRow
      extends Object

  A list of Role Cluster.
  Since:
    4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleClusterSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFolderId()` Returns 'folderId'.
    `String` | `getOperationClusterName()` Returns 'operationClusterName'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setFolderId(String folderId)` Sets 'folderId'.
    `void` | `setOperationClusterName(String operationClusterName)` Sets 'operationClusterName'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleClusterSoapRow

          public RoleClusterSoapRow()

  - ### Method Detail

    - #### getOperationClusterName

          public String getOperationClusterName()

      Returns 'operationClusterName'. The name of the operation cluster
      Returns:
        Value of 'operationClusterName'.

    - #### setOperationClusterName

          public void setOperationClusterName(String operationClusterName)

      Sets 'operationClusterName'. The name of the operation cluster
      Parameters:
        `operationClusterName` - Value of 'operationClusterName'.

    - #### getFolderId

          public String getFolderId()

      Returns 'folderId'. The id of the folder that the cluster is applied to. If empty, then the cluster is applied to all folders of the correct type.
      Returns:
        Value of 'folderId'.

    - #### setFolderId

          public void setFolderId(String folderId)

      Sets 'folderId'. The id of the folder that the cluster is applied to. If empty, then the cluster is applied to all folders of the correct type.
      Parameters:
        `folderId` - Value of 'folderId'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.